# Class CIM_PolicyRoleCollection
extends CIM_SystemSpecificCollection

PolicyRoleCollection is used to represent a collection of ManagedElements that share a common policy role, and the PolicySets that CAN BE applied to those elements. (Note that the PolicySets that are CURRENTLY applied are indicated via instances of the association, PolicySetAppliesToElement.) The PolicyRoleCollection always exists in the context of a System, specified using the PolicyRoleCollectionInSystem aggregation. The value of the PolicyRole property in this class specifies the role. It is defined as a free-form string. ManagedElements that share the role defined in this collection are aggregated into the Collection via the ElementInPolicyRoleCollection association.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Collection
|
+--CIM_SystemSpecificCollection
|
+--CIM_PolicyRoleCollection

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---

Description

string

PolicyRoleCollection is used to represent a collection of ManagedElements that share a common policy role, and the PolicySets that CAN BE applied to those elements. (Note that the PolicySets that are CURRENTLY applied are indicated via instances of the association, PolicySetAppliesToElement.) The PolicyRoleCollection always exists in the context of a System, specified using the PolicyRoleCollectionInSystem aggregation. The value of the PolicyRole property in this class specifies the role. It is defined as a free-form string. ManagedElements that share the role defined in this collection are aggregated into the Collection via the ElementInPolicyRoleCollection association.

UMLPackagePath | string | CIM::Policy
Version | string | 2.8.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
PolicyRole | string |

Description

string

The PolicyRole name for the PolicySets and other ManagedElements that are identified and aggregated by the Collection. Note that the aggregated PolicySets define the rules and groups of rules that may be applied to the associated ManagedElements. Although not officially designated as 'role combinations', multiple roles may be specified using the form: <RoleName>[&&<RoleName>]* where the individual role names appear in alphabetical order (according to the collating sequence for UCS-2). Implementations may treat PolicyRole values that are specified as 'role combinations' as simple strings.

Required | boolean | true

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_SystemSpecificCollection

## Class Methods

### Local Class Methods

#### ActivatePolicySet (uint32)

#### Method Qualifiers (ActivatePolicySet)

Name | Data Type | Value
--- | --- | ---

Description

string

Activates/applies the PolicySets aggregated into this Collection to the specified ManagedElement. The ManagedElement MUST be a member of the Collection, associated via ElementInPolicyRoleCollection. The result of this method, if it is successfully executed, is that the aggregated PolicySets are deployed and enforced for the Element. This is reflected by the instantiation of the PolicySetAppliesToElement association between the named Element and each PolicySet.

ValueMap | string | 0, 1, 2, 3, 4, .., 0x8000..
Values | string | Success, Not Supported, Unknown, Timeout, Failed, DMTF Reserved, Vendor Specific

#### Method Parameters (ActivatePolicySet)

Name | Type | Qualifiers
--- | --- | ---
Name | Data Type | Value
Element | REF CIM_ManagedElement
Description | string | The ManagedElement to which the aggregated PolicySets of this Collection are applied.
IN | boolean | true

#### DeactivatePolicySet (uint32)

#### Method Qualifiers (DeactivatePolicySet)

Name | Data Type | Value
--- | --- | ---

Description

string

Deactivates the aggregated PolicySets for the specified ManagedElement. The result of this method, if it is successfully executed, is that the aggregated PolicySets are NOT enforced for the Element. This is reflected by the removal of the PolicySetAppliesToElement association between the named Element and each PolicySet. If a PolicySet is not currently enforced for the ManagedElement, then this method has no effect for that Set.

ValueMap | string | 0, 1, 2, 3, 4, .., 0x8000..0xFFFF
Values | string | Success, Not Supported, Unknown, Timeout, Failed, DMTF Reserved, Vendor Specific

#### Method Parameters (DeactivatePolicySet)

Name | Type | Qualifiers
--- | --- | ---
Name | Data Type | Value
Element | REF CIM_ManagedElement
Description | string | The ManagedElement to which the aggregated PolicySets of this Collection MUST NOT apply.
IN | boolean | true